#!/bin/csh -f

set n=`echo $DBROOT | sed 's=/= =g' | wc -w`
@ m = $n + 1
setenv DBVERSION `echo $DBROOT | cut -d '/' -f $m`

if ( `basename "$SHELL"` == "tcsh" ) then
  if ( "${SHLVL}" > 0 ) then 
   complete db 'p/1/(create_object create_object load_object load_objects change_object change_object delete_object create_type load_type delete_type object_names path_names update_header update_headers stop_server restart_server version domains domain set_domain wait)/' \
    'n/create_object/x:Provide the object defintion/' \
    'n/load_objects/x:Provide a name pattern/' \
    'n/load_object/x:Provide an object name/' \
    'n/change_object/x:Provide a new object definition/' \
    'n/delete_object/x:Provide an object name/' \
    'n/create_type/x:Provide a ddl file name/' \
    'n/load_type/x:Provide a type name/' \
    'n/delete_type/x:Provide a type name/' \
    'n/object_names/x:Provide a name pattern/' \
    'n/path_names/x:Provide a path pattern/' \
    'n/update_header/x:Provide a type name/' \
    'n/update_headers/n/' \
    'n/stop_server/n/' \
    'n/restart_server/n/' \
    'n/version/n/' \
    'n/domains/n/' \
    'n/domain/`db domains -quiet`/' \
    'n/set_domain/`db domains -quiet`/'
   complete dbdomain 'p/1/`db domains -quiet`/'
  endif
endif

###eval `db set_domain LAL`
###echo 'The domain '${DBDOMAIN}' is now defined'

