#include <CmMessage.h>

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include <Db.h>

/*---------------------------------------------------------------*/
int DbSendObject (DbObject object, char* destination)
/*---------------------------------------------------------------*/
{
  CmMessage message;
  int status;
  char* text;

  if (object == NULL) return (0);

  message = CmMessageNew ();
  CmMessageSetType (message, "DbCreateObject");
  
  text = DbConvertObjectToString (object);
  CmMessagePutText (message, text);

  status = CmMessageSend (message, destination);

  CmMessageDelete (message);

  return (status);
}
